Package org.mockserver.load
Enum Class LoadCapture.Source
- All Implemented Interfaces:
Serializable,Comparable<LoadCapture.Source>,Constable
- Enclosing class:
- LoadCapture
Where in the step's response a
LoadCapture extracts its value from.-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescriptionEvaluateLoadCapture.getExpression()as a JSONPath over the response body (string/JSON).MatchLoadCapture.getExpression()as a regex over the response body string; capture group 1.Take the first value of the response header named byLoadCapture.getExpression(). -
Method Summary
Modifier and TypeMethodDescriptionstatic LoadCapture.SourceReturns the enum constant of this class with the specified name.static LoadCapture.Source[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
BODY_JSONPATH
EvaluateLoadCapture.getExpression()as a JSONPath over the response body (string/JSON). -
HEADER
Take the first value of the response header named byLoadCapture.getExpression(). -
BODY_REGEX
MatchLoadCapture.getExpression()as a regex over the response body string; capture group 1.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-